<div align="center">
    <h1 align="center">hellob.art</h1>
    <h5>personal website built with Svelte</h5>
</div>

<div align="center">
  <a href="https://sonarcloud.io/summary/new_code?id=bartvdbraak_hellob.art"><img src="https://sonarcloud.io/api/project_badges/measure?project=bartvdbraak_hellob.art&metric=alert_status" /></a>
  <a href="https://github.com/bartvdbraak/hellob.art/deployments/activity_log?environment=Production"><img src="https://img.shields.io/github/deployments/bartvdbraak/hellob.art/production?label=vercel&logo=vercel" /></a>
</div>

## Installation

To install the project and its dependencies, follow these steps:

1.  Ensure you have `pnpm` installed on your system. If not, you can install it by running:

    ```sh-session
    npm install -g pnpm
    ```

2.  Run the following command to install the project dependencies:
    ```sh-session
    pnpm install
    ```

## Build

To build the project, execute the following command:

```sh-session
pnpm build
```

## Run

To run the project locally, use the following command:

```sh-session
pnpm run dev
# or
pnpm run dev -- --open
```

## Technologies Used

- **Svelte:** The framework used for building this portfolio project.
- **SvelteKit:** The tooling and routing framework for Svelte projects.
- **Tailwind CSS:** A utility-first CSS framework packed with classes.
- **Skeleton:** UI Toolkit for Svelte + Tailwind.
- **Threlte:** Declarative Three.js for Svelte.

## Contributing

I'm open to contributions! If you find any bugs, have suggestions, or want to add something interesting, feel free to open an issue or submit a pull request.

## License

This project is licensed under the GPLv3 License. Feel free to explore, learn, and have fun!

Some dependencies may hold different licenses but are in compliance with GPLv3:

- `MIT`: Compatible with GPLv3.
- `Apache 2.0`: Compatible with GPLv3.
- `BSD-3-Clause`: Compatible with GPLv3.
- `BSD-2-Clause`: Compatible with GPLv3.
- `ISC`: Compatible with GPLv3.
- `Python-2.0`: Compatible with GPLv3. (Note: Python has its own license, and version 2.0 is compatible with GPLv3).
- `CC-BY-4.0`: This is a Creative Commons license, which is not a software license. It's generally not recommended to include CC licenses in software projects due to potential compatibility issues. This might cause complications if you choose GPLv3.
- `CC0-1.0`: Not a software license, but it is explicitly designed to waive all copyrights, making it effectively compatible with GPLv3.
- `0BSD`: Compatible with GPLv3.
- `(MIT OR CC0-1.0)`: MIT is compatible with GPLv3, and CC0-1.0 is effectively compatible with GPLv3.
